|

Trigger a test webhook event

post/webhooks/test
Send test webhook payloads with customized payloads to test your webhook integration logic.

Request

Body

idempotency_key·

optional string

If you want to test idempotency, you can provide an idempotency key here
payload·

anyOf

Defines the supported webhook event payload kinds
footprint.onboarding.completed·

option

The user has completed onboarding onto a playbook and we have a terminal status.

In most cases, this will fire as the user finishes the onboarding flow. In some cases (like KYB), the terminal verification status may not come until a few minutes after the user has exited the onboarding flow.

Generally, you should be able to receive the completed onboarding's status synchronously when the user finishes onboarding via the POST /onboarding/session/validate API. You only need to listen to the status here as a fallback in case a user's status is pending after they finish onboarding. For more information see here.

footprint.onboarding.incomplete·

option

An onboarding started via the POST /onboardings API is incomplete — there are still requirements that need to be fulfilled before a terminal status can be reached. This webhook fires once the background workflow execution settles and the onboarding is still in the incomplete state.
footprint.watchlist_check.completed·

option

A watchlist check has run for the user.
footprint.user.info_requested·

option

A Footprint dashboard user has requested this user to provide more information during the course of manual review. When responding to this webhook, you can see more context on the information requested using the GET /users/{fp_id} API.
footprint.user.manual_review·

option

A Footprint dashboard user has changed the user's status during manual review. When responding to this webhook, you can see more context on the user's up-to-date status using the GET /users/{fp_id} API.
footprint.vault.updated·

option

A Footprint user or business vault was updated.
footprint.user.bank_link_updated·

option

A Footprint user's bank link was updated.
footprint.entity.entity_status_set·

option

A custom status was set, updated, or cleared on an Footprint user or business entity.

Response

Empty JSON.
POST /webhooks/test
1curl -X POST https://api.onefootprint.com/webhooks/test \
2  -u sk_test_xxxxx: \
3  -d '{
4    "idempotency_key": "xyz1234...abcd",
5    "payload": {
6      "event_kind": "footprint.onboarding.completed",
7      "fp_id": "fp_id_xyz",
8      "timestamp": "2024-06-14T02:40:00Z",
9      "status": "pass",
10      "playbook_key": "pb_test_QoEYTOve49Q2IAmaKVYnPs",
11      "playbook_version": 3,
12      "requires_manual_review": false,
13      "is_live": false,
14      "onboarding_id": "ob_SRFT2a1mN7DAWJ0VPXkiqK",
15      "external_id": null,
16      "onboarding_external_id": null
17    }
18  }'
Response example
{}